org.jetlang.remote.core

## Class JetlangRemotingProtocol

- java.lang.Object
- - org.jetlang.remote.core.JetlangRemotingProtocol

    public class JetlangRemotingProtocol
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `JetlangRemotingProtocol.Handler`
`static interface` `JetlangRemotingProtocol.State`

### Field Summary

Fields
`ByteBuffer` `buffer`
`byte[]` `bufferArray`
`JetlangRemotingProtocol.State` `root`

### Constructor Summary

Constructors
Constructor and Description
`JetlangRemotingProtocol(JetlangRemotingProtocol.Handler session, ObjectByteReader reader, Charset charset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `resizeBuffer(int requiredBytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### buffer

    public ByteBuffer buffer

#### bufferArray

    public byte[] bufferArray

#### root

    public final JetlangRemotingProtocol.State root

### Constructor Detail

#### JetlangRemotingProtocol

    public JetlangRemotingProtocol(JetlangRemotingProtocol.Handler session,
                                   ObjectByteReader reader,
                                   Charset charset)

### Method Detail

#### resizeBuffer

    public void resizeBuffer(int requiredBytes)